materials = ["wooden","golden","stone","iron","diamond","netherite"]


for mat in materials:
    for i in range(1,3):
        for j in range(1,11):
            with open(mat + '/' + mat + '_kbfa_' + str(j) + '_' + str(i) + '.properties', 'w') as file:
                properties = "type=item\nitems=material_sword\ntexture=assets/minecraft/textures/item/kbfa/materialkbfa.png\nweight=1".replace(
                    "material", mat)
                file.write(properties)
                file.write("\ncomponents.enchantments.levels.~fire_aspect=" + str(i))
                file.write("\ncomponents.enchantments.levels.~knockback=" + str(j))
                print("test")
